import { Query } from '@nestjs-query/core';
import { DeleteQueryBuilder, Repository, SelectQueryBuilder, UpdateQueryBuilder } from 'typeorm';
import { WhereBuilder } from './where.builder';
import { AbstractQueryBuilder } from './query-builder.abstract';
export declare class FilterQueryBuilder<Entity> extends AbstractQueryBuilder<Entity> {
    readonly repo: Repository<Entity>;
    readonly whereBuilder: WhereBuilder<Entity>;
    constructor(repo: Repository<Entity>, whereBuilder?: WhereBuilder<Entity>);
    select(query: Query<Entity>): SelectQueryBuilder<Entity>;
    delete(query: Query<Entity>): DeleteQueryBuilder<Entity>;
    update(query: Query<Entity>): UpdateQueryBuilder<Entity>;
    private applyPaging;
    private applyFilter;
    private applySorting;
    private createQueryBuilder;
}
