"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AbstractQueryBuilder {
    constructor(repository) {
        this.repository = repository;
        this.entityMetadata = this.repository.metadata;
    }
    fieldToDbCol(field) {
        const colMetaData = this.entityMetadata.findColumnWithPropertyName(field);
        if (!colMetaData) {
            return this.escape(field);
        }
        return this.escape(colMetaData.databasePath);
    }
    escape(str) {
        return this.repository.manager.connection.driver.escape(str);
    }
}
exports.AbstractQueryBuilder = AbstractQueryBuilder;
//# sourceMappingURL=query-builder.abstract.js.map