import { ObjectLiteral, Repository } from 'typeorm';
import { FilterComparisonOperators } from '@nestjs-query/core';
import { AbstractQueryBuilder } from './query-builder.abstract';
declare type CmpSQLType = {
    sql: string;
    params: ObjectLiteral;
};
export declare type EntityComparisonField<Entity, F extends keyof Entity> = Entity[F] | Entity[F][] | true | false | null;
export declare class SQLComparisionBuilder<Entity> extends AbstractQueryBuilder<Entity> {
    readonly comparisonMap: Record<string, string>;
    paramCount: number;
    static DEFAULT_COMPARISON_MAP: Record<string, string>;
    constructor(repo: Repository<Entity>, comparisonMap?: Record<string, string>);
    private get paramName();
    build<F extends keyof Entity>(field: F, cmp: FilterComparisonOperators<Entity[F]>, val: EntityComparisonField<Entity, F>): CmpSQLType;
    private createComparisonSQL;
    private isSQLCmp;
    private inSQLCmp;
    private notInSQLCmp;
    private checkNonEmptyArray;
}
export {};
