import { Repository, WhereExpression } from 'typeorm';
import { Filter } from '@nestjs-query/core';
import { SQLComparisionBuilder } from './sql-comparison.builder';
export declare class WhereBuilder<Entity> {
    readonly repository: Repository<Entity>;
    readonly sqlComparisionBuilder: SQLComparisionBuilder<Entity>;
    constructor(repository: Repository<Entity>, sqlComparisionBuilder?: SQLComparisionBuilder<Entity>);
    build<Where extends WhereExpression>(where: Where, filter: Filter<Entity>): Where;
    private filterAnd;
    private filterOr;
    private createBrackets;
    private filterFields;
    private getField;
    private withFilterComparison;
}
