import { Query, DeleteManyResponse, DeleteOne, DeleteMany, UpdateManyResponse, UpdateMany, UpdateOne, CreateOne, CreateMany, DeepPartial, QueryService } from '@nestjs-query/core';
import { Repository } from 'typeorm';
import { FilterQueryBuilder } from '../query';
export declare class TypeormQueryService<Entity> implements QueryService<Entity> {
    protected repo: Repository<Entity>;
    readonly filterQueryBuilder: FilterQueryBuilder<Entity>;
    constructor(repo: Repository<Entity>, filterQueryBuilder?: FilterQueryBuilder<Entity>);
    private get entityType();
    private get alias();
    query(query: Query<Entity>): Promise<Entity[]>;
    queryOne(query: Query<Entity>): Promise<Entity | undefined>;
    getOne(query: Query<Entity>): Promise<Entity>;
    findById(id: string | number): Promise<Entity | undefined>;
    getById(id: string | number): Promise<Entity>;
    createMany<C extends DeepPartial<Entity>>(create: CreateMany<Entity, C>): Promise<Entity[]>;
    createOne<C extends DeepPartial<Entity>>(create: CreateOne<Entity, C>): Promise<Entity>;
    deleteMany(deleteMany: DeleteMany<Entity>): Promise<DeleteManyResponse>;
    deleteOne(deleteOne: DeleteOne): Promise<Entity>;
    updateMany<U extends DeepPartial<Entity>>(update: UpdateMany<Entity, U>): Promise<UpdateManyResponse>;
    updateOne<U extends DeepPartial<Entity>>(update: UpdateOne<Entity, U>): Promise<Entity>;
    private ensureIsEntity;
}
